> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee



## OpenAPI

````yaml patch /unified/hris/employees/{id}
openapi: 3.1.0
info:
  title: HRIS
  description: The documentation for the StackOne Unified API - HRIS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Benefits
    description: Employee benefits and entitlements.
  - name: Companies
    description: Organizations or legal entities.
  - name: Custom Field Definitions
    description: Definitions for custom fields.
  - name: Documents
    description: Employee related documents.
  - name: Employees
    description: People employed by the company.
  - name: Employments
    description: Details of an employee's employment.
  - name: Groups
    description: Organizational groups or teams.
  - name: Jobs
    description: Job positions or roles.
  - name: Locations
    description: Physical or virtual work locations.
  - name: Positions
    description: Job positions available for hiring.
  - name: Shifts
    description: Employee work shifts and schedules.
  - name: Skills
    description: Skills and competencies tracked for employees.
  - name: Tasks
    description: Tasks or assignments for employees.
  - name: Time Entries
    description: Records of hours worked or activities performed.
  - name: Time Off
    description: Employee leave and time off records.
  - name: Time Off Balances
    description: Available leave balances for employees.
  - name: Time Off Policies
    description: Rules and policies for employee leave.
  - name: Training
    description: Training records for employees.
  - name: Training Content
    description: Training content for employees.
  - name: Work Eligibility
    description: Eligibility status for employment.
paths:
  /unified/hris/employees/{id}:
    patch:
      tags:
        - Employees
      summary: Update Employee
      operationId: hris_update_employee
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HrisUpdateEmployeeRequestDto'
      responses:
        '200':
          description: Record updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateResult'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    HrisUpdateEmployeeRequestDto:
      type: object
      properties:
        title:
          type: string
          description: The prefix of the employee's name (e.g., Mr, Ms, Dr)
          example: Mr
          nullable: true
        first_name:
          type: string
          description: The employee first name
          example: Isaac
          nullable: true
        last_name:
          type: string
          description: The employee last name
          example: Newton
          nullable: true
        name:
          type: string
          description: The employee name
          example: Isaac Newton
          nullable: true
        display_name:
          type: string
          description: The employee display name
          example: Sir Isaac Newton
          nullable: true
        avatar_url:
          type: string
          description: The employee avatar Url
          example: https://example.com/avatar.png
          nullable: true
        personal_email:
          type: string
          description: The employee personal email
          example: isaac.newton@example.com
          nullable: true
        personal_phone_number:
          type: string
          description: The employee personal phone number
          example: '+1234567890'
          nullable: true
        work_email:
          type: string
          description: The employee work email
          example: newton@example.com
          nullable: true
        work_phone_number:
          type: string
          description: The employee work phone number
          example: '+1234567890'
          nullable: true
        job_id:
          type: string
          description: The employee job id
          example: R-6789
          deprecated: true
          nullable: true
        job_title:
          type: string
          description: >-
            If the source of the job_title is the Employee's current Employment,
            and that Employment pertains exclusively to this Employee, then the
            active Employment job_title will also be written
          example: Physicist
          nullable: true
        department_id:
          type: string
          description: The employee department id
          example: '3093'
          nullable: true
        team_id:
          type: string
          description: The employee team id
          example: '2913'
          nullable: true
        department:
          type: string
          description: The employee department
          example: Physics
          nullable: true
        manager_id:
          type: string
          description: The employee manager ID
          example: '67890'
          nullable: true
        gender:
          description: The employee gender
          example: male
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GenderEnum'
        preferred_language:
          description: The employee preferred language
          example: eng
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PreferredLanguageEnum'
        ethnicity:
          description: The employee ethnicity
          example: white
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EthnicityEnum'
        date_of_birth:
          type: string
          description: The date when the employee was born
          example: '1990-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        birthday:
          type: string
          description: The next birthday of the employee (upcoming birthday)
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        marital_status:
          description: The employee marital status
          example: single
          nullable: true
          allOf:
            - $ref: '#/components/schemas/MaritalStatusEnum'
        avatar:
          description: The employee avatar
          example: https://example.com/avatar.png
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Image'
        hire_date:
          type: string
          description: The employee hire date
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        start_date:
          type: string
          description: The employee start date
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
          nullable: true
        employment_type:
          description: The employee employment type
          example: permanent
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentTypeEnum'
        employment_contract_type:
          description: The employment work schedule type (e.g., full-time, part-time)
          example: full_time
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentScheduleTypeEnum'
        employment_status:
          description: The employee employment status
          example: active
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentStatusEnum'
        termination_date:
          type: string
          description: The employee termination date
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        company_name:
          type: string
          description: The employee company name
          example: Example Corp
          deprecated: true
          nullable: true
        company_id:
          type: string
          description: The employee company id
          example: '1234567890'
          nullable: true
        citizenships:
          description: The citizenships of the Employee
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CountryCodeEnum'
        employment:
          description: The employee employment
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CreateEmployeeEmploymentApiModel'
        custom_fields:
          description: The employee custom fields
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CustomFields'
        benefits:
          description: Current benefits of the employee
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CreateHRISBenefit'
        employee_number:
          type: string
          description: The assigned employee number
          example: '125'
          nullable: true
        national_identity_number:
          description: The national identity number
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/NationalIdentityNumberApiModel'
        national_identity_numbers:
          description: The national identity numbers
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/NationalIdentityNumberApiModel'
        home_location:
          description: The employee home location
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CreateEmployeeLocationApiModel'
        work_location:
          description: The employee work location
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CreateEmployeeLocationApiModel'
        passthrough:
          type: object
          description: Value to pass through to the provider
          example:
            other_known_names: John Doe
          additionalProperties: true
          nullable: true
    UpdateResult:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        message:
          type: string
          example: Record updated successfully.
        timestamp:
          type: string
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    GenderEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - male
            - female
            - non_binary
            - other
            - not_disclosed
            - diverse
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PreferredLanguageEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - aar
            - afr
            - amh
            - ara
            - aym
            - aze
            - bel
            - bul
            - bis
            - ben
            - bos
            - byn
            - cat
            - cha
            - ces
            - dan
            - deu
            - div
            - dzo
            - ell
            - eng
            - spa
            - est
            - fas
            - fan
            - ful
            - fin
            - fij
            - fao
            - fra
            - gle
            - grn
            - guj
            - glv
            - heb
            - hin
            - hrv
            - hat
            - hun
            - hye
            - ind
            - isl
            - ita
            - jpn
            - kat
            - kon
            - kaz
            - kal
            - khm
            - kor
            - kur
            - kir
            - lat
            - ltz
            - lin
            - lao
            - lit
            - lub
            - lav
            - mlg
            - mah
            - mri
            - mkd
            - mon
            - mar
            - msa
            - mlt
            - mya
            - nob
            - nep
            - nld
            - nno
            - nor
            - nbl
            - nya
            - pan
            - pol
            - pus
            - por
            - que
            - rar
            - roh
            - rup
            - ron
            - rus
            - kin
            - sme
            - sag
            - sin
            - slk
            - slv
            - smo
            - sna
            - som
            - sqi
            - srp
            - ssw
            - swe
            - swa
            - tam
            - tel
            - tgk
            - tha
            - tir
            - tig
            - tuk
            - tsn
            - ton
            - tur
            - tso
            - ukr
            - urd
            - uzb
            - ven
            - vie
            - xho
            - zho
            - zul
            - unmapped_value
            - null
          description: The ISO639-2 Code of the language
          example: eng
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EthnicityEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - white
            - black_or_african_american
            - asian
            - hispanic_or_latino
            - american_indian_or_alaska_native
            - native_hawaiian_or_pacific_islander
            - two_or_more_races
            - not_disclosed
            - other
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    MaritalStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - single
            - married
            - common_law
            - divorced
            - widowed
            - domestic_partnership
            - separated
            - other
            - not_disclosed
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    Image:
      type: object
      properties:
        url:
          type: string
          nullable: true
        base64:
          type: string
          nullable: true
    EmploymentTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - contractor
            - intern
            - permanent
            - apprentice
            - freelance
            - terminated
            - temporary
            - seasonal
            - volunteer
            - probation
            - internal
            - external
            - expatriate
            - employer_of_record
            - casual
            - Programme
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentScheduleTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - full_time
            - shifts
            - part_time
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentStatusEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - active
            - pending
            - terminated
            - leave
            - inactive
            - unknown
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    CountryCodeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - AF
            - AL
            - DZ
            - AS
            - AD
            - AO
            - AI
            - AQ
            - AG
            - AR
            - AM
            - AW
            - AU
            - AT
            - AZ
            - BS
            - BH
            - BD
            - BB
            - BY
            - BE
            - BZ
            - BJ
            - BM
            - BT
            - BO
            - BQ
            - BA
            - BW
            - BV
            - BR
            - IO
            - BN
            - BG
            - BF
            - BI
            - KH
            - CM
            - CA
            - CV
            - KY
            - CF
            - TD
            - CL
            - CN
            - CX
            - CC
            - CO
            - KM
            - CG
            - CD
            - CK
            - CR
            - HR
            - CU
            - CW
            - CY
            - CZ
            - CI
            - DK
            - DJ
            - DM
            - DO
            - EC
            - EG
            - SV
            - GQ
            - ER
            - EE
            - ET
            - FK
            - FO
            - FJ
            - FI
            - FR
            - GF
            - PF
            - TF
            - GA
            - GM
            - GE
            - DE
            - GH
            - GI
            - GR
            - GL
            - GD
            - GP
            - GU
            - GT
            - GG
            - GN
            - GW
            - GY
            - HT
            - HM
            - VA
            - HN
            - HK
            - HU
            - IS
            - IN
            - ID
            - IR
            - IQ
            - IE
            - IM
            - IL
            - IT
            - JM
            - JP
            - JE
            - JO
            - KZ
            - KE
            - KI
            - KP
            - KR
            - KW
            - KG
            - LA
            - LV
            - LB
            - LS
            - LR
            - LY
            - LI
            - LT
            - LU
            - MO
            - MK
            - MG
            - MW
            - MY
            - MV
            - ML
            - MT
            - MH
            - MQ
            - MR
            - MU
            - YT
            - MX
            - FM
            - MD
            - MC
            - MN
            - ME
            - MS
            - MA
            - MZ
            - MM
            - NA
            - NR
            - NP
            - NL
            - NC
            - NZ
            - NI
            - NE
            - NG
            - NU
            - NF
            - MP
            - 'NO'
            - OM
            - PK
            - PW
            - PS
            - PA
            - PG
            - PY
            - PE
            - PH
            - PN
            - PL
            - PT
            - PR
            - QA
            - RO
            - RU
            - RW
            - RE
            - BL
            - SH
            - KN
            - LC
            - MF
            - PM
            - VC
            - WS
            - SM
            - ST
            - SA
            - SN
            - RS
            - SC
            - SL
            - SG
            - SX
            - SK
            - SI
            - SB
            - SO
            - ZA
            - GS
            - SS
            - ES
            - LK
            - SD
            - SR
            - SJ
            - SZ
            - SE
            - CH
            - SY
            - TW
            - TJ
            - TZ
            - TH
            - TL
            - TG
            - TK
            - TO
            - TT
            - TN
            - TR
            - TM
            - TC
            - TV
            - UG
            - UA
            - AE
            - GB
            - US
            - UM
            - UY
            - UZ
            - VU
            - VE
            - VN
            - VG
            - VI
            - WF
            - EH
            - YE
            - ZM
            - ZW
            - unmapped_value
            - null
          description: The ISO3166-1 Alpha2 Code of the Country
          example: US
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    CreateEmployeeEmploymentApiModel:
      type: object
      properties:
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        job_title:
          type: string
          description: The job title of the employee
          example: Software Engineer
          nullable: true
        pay_rate:
          type: string
          description: The amount of compensation for the employee
          example: '40.00'
          nullable: true
        pay_period:
          description: The time period over which the pay rate is calculated
          example: monthly
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PayPeriodEnum'
        pay_frequency:
          description: How often the employee is paid
          example: hourly
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PayFrequencyEnum'
        pay_currency:
          type: string
          description: The currency used for pay
          example: USD
          nullable: true
        end_date:
          type: string
          description: The end date of employment
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        grade:
          description: >-
            Represents the employee’s position within the organizational
            hierarchy.
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentGradeApiModel'
        employment_type:
          description: The type of employment (e.g., contractor, permanent)
          example: permanent
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentTypeEnum'
        employment_contract_type:
          description: The employment work schedule type (e.g., full-time, part-time)
          example: full_time
          deprecated: true
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmploymentScheduleTypeEnum'
        type:
          description: The type of employment
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TypeApiModel'
        contract_type:
          description: The employment work schedule type
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ContractTypeApiModel'
        work_time:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/WorkTimeApiModel'
        payroll_code:
          type: string
          description: The payroll code of the employee
          example: PC1
          nullable: true
        passthrough:
          type: object
          description: Value to pass through to the provider
          example:
            other_known_names: John Doe
          additionalProperties: true
          nullable: true
        effective_date:
          type: string
          description: The employee effective date
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
          deprecated: true
          nullable: true
    CustomFields:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name of the custom field.
          example: Training Completion Status
          nullable: true
        value:
          description: The value associated with the custom field.
          example: Completed
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
            - type: string
              format: date-time
          nullable: true
        value_id:
          type: string
          description: The unique identifier for the value of the custom field.
          example: value_456
          nullable: true
        remote_value_id:
          type: string
          description: Provider's unique identifier for the value of the custom field.
          example: e3cb75bf-aa84-466e-a6c1-b8322b257a48
          nullable: true
    CreateHRISBenefit:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name of the benefit
          example: Health Insurance
          nullable: true
        benefit_type:
          description: The type of the benefit
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BenefitsTypeEnum'
        provider:
          type: string
          description: The provider of the benefit
          example: Aetna
          nullable: true
        description:
          type: string
          description: The description of the benefit
          example: Health insurance for employees
          nullable: true
        created_at:
          type: string
          description: The date and time the benefit was created
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The date and time the benefit was last updated
          example: '2021-01-01T00:00:00Z'
          format: date-time
          nullable: true
    NationalIdentityNumberApiModel:
      type: object
      properties:
        value:
          type: string
          example: '123456789'
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/NationalIdentityNumberTypeEnumApiModel'
        country:
          description: The country code
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CountryCodeEnum'
    CreateEmployeeLocationApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The name of the location
          example: Woolsthorpe Manor
          nullable: true
        phone_number:
          type: string
          description: The phone number of the location
          example: +44 1476 860 364
          nullable: true
        street_1:
          type: string
          description: The first line of the address
          example: Water Lane
          nullable: true
        street_2:
          type: string
          description: The second line of the address
          example: Woolsthorpe by Colsterworth
          nullable: true
        city:
          type: string
          description: The city where the location is situated
          example: Grantham
          nullable: true
        zip_code:
          type: string
          description: The ZIP code/Postal code of the location
          example: NG33 5NR
          nullable: true
        country:
          description: The country code
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CountryCodeEnum'
        passthrough:
          type: object
          description: Value to pass through to the provider
          example:
            other_known_names: John Doe
          additionalProperties: true
          nullable: true
        state:
          description: The ISO3166-2 sub division where the location is situated
          example: GB-LIN
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ISO3166_2SubDivisionEnum'
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    PayPeriodEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - hour
            - day
            - week
            - every_two_weeks
            - month
            - quarter
            - every_six_months
            - year
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    PayFrequencyEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - hourly
            - weekly
            - bi_weekly
            - four_weekly
            - semi_monthly
            - monthly
            - bi_monthly
            - quarterly
            - semi_annually
            - yearly
            - thirteen_monthly
            - pro_rata
            - unmapped_value
            - half_yearly
            - daily
            - fixed
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    EmploymentGradeApiModel:
      type: object
      properties:
        id:
          type: string
          description: The reference id
          example: 1687-3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        name:
          type: string
          description: The reference name
          example: 1687-4
          nullable: true
        description:
          type: string
          description: description of the grade
          example: Mid-level employee demonstrating proficiency and autonomy.
          nullable: true
    TypeApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        label:
          type: string
          description: The label of the employment type
          example: Permanent
          nullable: true
        type:
          description: The type of employment (e.g., contractor, permanent)
          example: permanent
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TypeEnum'
    ContractTypeApiModel:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        label:
          type: string
          description: The label of the employment type
          example: Full-Time
          nullable: true
        contract_type:
          description: The employment work schedule type (e.g., full-time, part-time)
          example: full_time
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ContractTypeEnum'
    WorkTimeApiModel:
      type: object
      properties:
        duration:
          type: string
          description: The work time duration in ISO 8601 duration format
          example: P0Y0M0DT8H0M0S
          format: duration
          nullable: true
        period:
          description: The period of the work time
          example: month
          nullable: true
          allOf:
            - $ref: '#/components/schemas/WorkTimeUnitEnum'
    BenefitsTypeEnum:
      type: object
      properties:
        value:
          type: string
          description: The type of the benefit
          enum:
            - retirement_savings
            - health_savings
            - other
            - health_insurance
            - insurance
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    NationalIdentityNumberTypeEnumApiModel:
      type: object
      properties:
        value:
          type: string
          enum:
            - ssn
            - nin
            - sin
            - nid
            - pin
            - pn
            - umcn
            - pic
            - ric
            - idnum
            - cid
            - nidnr
            - pan
            - aadhaar
            - epic
            - ptn
            - itin
            - tin
            - uprc
            - pcode
            - ssi
            - cedula
            - passport
            - voterid
            - ntin
            - bn
            - fnr
            - mva
            - civil_id
            - cnic
            - nric
            - fin
            - uen
            - registrationnumber
            - nic
            - personnummer
            - ahv
            - id
            - eid
            - va
            - pid
            - nrt
            - nipt
            - cbu
            - cuit
            - dni
            - businessid
            - vnr
            - abn
            - acn
            - tfn
            - jmbg
            - bis
            - insz
            - nn
            - egn
            - pnf
            - vat
            - cnpj
            - unp
            - gst
            - pst
            - qst
            - ni
            - dic
            - rc
            - uid
            - rut
            - uscc
            - cpf
            - cpj
            - cr
            - stnr
            - svnr
            - ncf
            - rnc
            - nif
            - ci
            - ik
            - kmkr
            - registrikood
            - tn
            - ruc
            - nit
            - alv
            - hetu
            - ytunnus
            - vn
            - utr
            - nifp
            - amka
            - cui
            - nir
            - siren
            - siret
            - tva
            - oib
            - hkid
            - anum
            - kennitala
            - vsk
            - npwp
            - pps
            - gstin
            - idnr
            - hr
            - aic
            - codicefiscale
            - iva
            - peid
            - asmens
            - pvm
            - ctps
            - vrn
            - vtk
            - int
            - tk
            - pas
            - rne
            - rg
            - nci
            - crnm
            - pis
            - insee
            - tax
            - mpf
            - epfo
            - esi
            - pran
            - uan
            - idk
            - bsn
            - mid
            - sss
            - nie
            - nss
            - arc
            - curp
            - imss
            - rfc
            - ein
            - other
            - unknown
            - unmapped_value
            - null
          description: The type of the national identity number
          example: ssn
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    ISO3166_2SubDivisionEnum:
      type: object
      properties:
        value:
          type: string
          description: >-
            state (ISO3166-2 Sub Division Code) - value must be a valid enum
            value
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    TypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - contractor
            - intern
            - permanent
            - apprentice
            - freelance
            - terminated
            - temporary
            - seasonal
            - volunteer
            - probation
            - internal
            - external
            - expatriate
            - employer_of_record
            - casual
            - Programme
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    ContractTypeEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - full_time
            - shifts
            - part_time
            - unmapped_value
            - null
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
    WorkTimeUnitEnum:
      type: object
      properties:
        value:
          type: string
          enum:
            - day
            - week
            - month
            - year
            - unmapped_value
            - null
          description: The unified value for the period.
          example: month
          x-speakeasy-unknown-values: allow
          nullable: true
        source_value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: object
            - type: array
              items: {}
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````